Skip to main content
`Ctrl`+`K`

# PetscDSGetDimensions

Returns the size of the approximation space for each field on an evaluation point

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetDimensions(PetscDS prob, PetscInt *dimensions[])

Not Collective

## Input Parameter

- prob - The `PetscDS` object

## Output Parameter

- dimensions - The number of dimensions

## See Also

`PetscDS`, `PetscDSGetComponentOffsets()`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages